Skip to content

computerHooks.startPairing

POST
/v1/hooks/computers/pairings
curl --request POST \
--url https://example.com/v1/hooks/computers/pairings \
--header 'Content-Type: application/json' \
--data '{ "version": "example", "os": "example", "arch": "example", "desktop": true, "hostname": "example", "machineId": "example" }'

Starts a pairing for a machine. The code works for 10 minutes.

Media typeapplication/json
object
version
required
string
os
required
string
arch
required
string
desktop
required
boolean
hostname
required
string
>= 1 characters <= 253 characters
machineId
required
string
>= 8 characters <= 128 characters

Example generated

{
"version": "example",
"os": "example",
"arch": "example",
"desktop": true,
"hostname": "example",
"machineId": "example"
}

Success

Media typeapplication/json
object
id
required
string
>= 1 characters <= 128 characters
code
required
string
secret
required
string
interval
required
integer
>= -9007199254740991 <= 9007199254740991
expiresAt
required
number

Example generated

{
"id": "example",
"code": "example",
"secret": "example",
"interval": 1,
"expiresAt": 1
}

PairingInvalid

Media typeapplication/json
object
_tag
required
string
Allowed values: PairingInvalid

Example

{
"_tag": "PairingInvalid"
}

ComputersUnavailable

Media typeapplication/json
object
_tag
required
string
Allowed values: ComputersUnavailable

Example

{
"_tag": "ComputersUnavailable"
}